classification
Title: Patch to make py3k/Lib/test/test_thread.py use unittest
Type: enhancement Stage:
Components: Tests Versions: Python 3.0
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: JonoDiCarlo, brett.cannon, gvanrossum
Priority: normal Keywords: patch

Created on 2007-09-13 20:44 by JonoDiCarlo, last changed 2008-03-13 20:28 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
jdicarlo_stdlibtests_patch_sep7.diff JonoDiCarlo, 2007-09-13 20:44
Messages (3)
msg55899 - (view) Author: Jono DiCarlo (JonoDiCarlo) Date: 2007-09-13 20:44
In the google spreadsheet for py3k tasks for the sprint last month, one
of the listed tasks was to convert Lib/test/test_thread to use the
unittest module, where it previously was using the old-style testing
(i.e. comparing output of print statements to a text file).  I'm
attatching a patch that makes that change.

This is my first time submitting a patch to Python, so please let me
know if I'm doing anything wrong (or if this patch is redundant).
msg55918 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-09-14 19:53
This is a good start, but I think that instead of using global variables
and functions, you should try to turn all those into instance variables
(of the ThreadTest class).  That way the tests are truly independent. 
Initialization should be taken care of in setUp().
msg63512 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-13 20:28
Closing as out of date as a GHOP attempt at this got farther and committed.
History
Date User Action Args
2008-03-13 20:28:11brett.cannonsetstatus: open -> closed
nosy: + brett.cannon
resolution: out of date
messages: + msg63512
2007-09-18 12:29:18jafosetpriority: normal
2007-09-14 19:53:26gvanrossumsetnosy: + gvanrossum
messages: + msg55918
2007-09-13 21:41:13loewissetkeywords: + patch
2007-09-13 20:44:44JonoDiCarlocreate